Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.oa.core
Interface POAImple

public interface POAImple

The Portable Object Adapter interface.

Since:
  JTS 2.1.
Version:
  $Id: POAImple.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Method Summary
`void` | `createPOA(java.lang.String adapterName, org.omg.CORBA.Policy[] policies)` Create a child POA of the root POA.
`void` | `destroyPOA(java.lang.String adapterName)` Destroy the child POA.
`void` | `destroyRootPOA()` Destroy the root POA.
`void` | `init(ORB o)` Initialise the root POA.
`boolean` | `initialised()` Has the Object Adapter been initialised?
`org.omg.PortableServer.POA` | `poa(java.lang.String adapterName)`
`void` | `poa(java.lang.String adapterName, org.omg.PortableServer.POA thePOA)` Provide a reference to the child POA.
`org.omg.PortableServer.POA` | `rootPoa()`
`void` | `rootPoa(org.omg.PortableServer.POA thePOA)` Provide a reference to the root POA.
`void` | `run(ORB o)` run is a way of starting a server listening for invocations.
`void` | `run(ORB o, java.lang.String name)` run is a way of starting a server listening for invocations.

Method Detail

### initialised

    public boolean initialised()

  Has the Object Adapter been initialised?

### run

    public void run(ORB o,
                    java.lang.String name)
             throws org.omg.CORBA.SystemException

  run is a way of starting a server listening for invocations. For historical reasons we do this via the Object Adapter interface, though POA ORBs may implement this via the ORB.

  Throws:
    `org.omg.CORBA.SystemException`

### run

    public void run(ORB o)
             throws org.omg.CORBA.SystemException

  run is a way of starting a server listening for invocations. For historical reasons we do this via the Object Adapter interface, though POA ORBs may implement this via the ORB.

  Throws:
    `org.omg.CORBA.SystemException`

### init

    public void init(ORB o)
              throws org.omg.CORBA.ORBPackage.InvalidName,
                     org.omg.PortableServer.POAManagerPackage.AdapterInactive,
                     org.omg.CORBA.SystemException

  Initialise the root POA.

  Throws:
    `org.omg.CORBA.ORBPackage.InvalidName`
    `org.omg.PortableServer.POAManagerPackage.AdapterInactive`
    `org.omg.CORBA.SystemException`

### createPOA

    public void createPOA(java.lang.String adapterName,
                          org.omg.CORBA.Policy[] policies)
                   throws org.omg.PortableServer.POAPackage.AdapterAlreadyExists,
                          org.omg.PortableServer.POAPackage.InvalidPolicy,
                          org.omg.PortableServer.POAManagerPackage.AdapterInactive,
                          org.omg.CORBA.SystemException

  Create a child POA of the root POA.

  Throws:
    `org.omg.PortableServer.POAPackage.AdapterAlreadyExists`
    `org.omg.PortableServer.POAPackage.InvalidPolicy`
    `org.omg.PortableServer.POAManagerPackage.AdapterInactive`
    `org.omg.CORBA.SystemException`

### destroyRootPOA

    public void destroyRootPOA()
                        throws org.omg.CORBA.SystemException

  Destroy the root POA.

  Throws:
    `org.omg.CORBA.SystemException`

### destroyPOA

    public void destroyPOA(java.lang.String adapterName)
                    throws org.omg.CORBA.SystemException

  Destroy the child POA.

  Throws:
    `org.omg.CORBA.SystemException`

### rootPoa

    public org.omg.PortableServer.POA rootPoa()
                                       throws org.omg.CORBA.SystemException

  Returns:
    a reference to the root POA.
  Throws:
    `org.omg.CORBA.SystemException`

### rootPoa

    public void rootPoa(org.omg.PortableServer.POA thePOA)
                 throws org.omg.CORBA.SystemException

  Provide a reference to the root POA. Used if the application must initialise the POA separately.

  Throws:
    `org.omg.CORBA.SystemException`

### poa

    public org.omg.PortableServer.POA poa(java.lang.String adapterName)
                                   throws org.omg.CORBA.SystemException

  Returns:
    a reference to the child POA.
  Throws:
    `org.omg.CORBA.SystemException`

### poa

    public void poa(java.lang.String adapterName,
                    org.omg.PortableServer.POA thePOA)
             throws org.omg.CORBA.SystemException

  Provide a reference to the child POA. Used if the application must initialise the POA separately.

  Throws:
    `org.omg.CORBA.SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD